DO $$
    DECLARE
        _path character varying(256) := 'patch-2025_12_11-MigratedFiles';
    BEGIN
        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
            RETURN;
        END IF;

        IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= 15844) THEN
            RETURN;
        END IF;

        BEGIN
            -- Таблица для фиксации миграций файлов.
            CREATE TABLE IF NOT EXISTS public."MigratedFiles" (
                "OriginalStorageId" bigint NOT NULL,  -- Идентификатор исходного хранилища
                "TargetStorageId" bigint NOT NULL,    -- Идентификатор целевого хранилища
                "MigratedFileId" bigint NOT NULL,     -- Идентификатор мигрированного файла в целевом хранилище

                PRIMARY KEY ("OriginalStorageId", "TargetStorageId", "MigratedFileId")
            );

            INSERT INTO public."Versions" ("Path", "Build") VALUES (_path, 0);

        EXCEPTION
            WHEN OTHERS THEN
                RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
        END;

    END;
$$;